RosBE can't Install on Pisi Linux

All development related issues welcome

Moderator: Moderator Team

Post Reply
eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

RosBE can't Install on Pisi Linux

Post by eersoy93 » Mon Jul 21, 2014 7:29 pm

Salam everyone!

I have been attempt install RosBE 2.1.1 on Pisi Linux 1.0 RC2, but I coudn't it.

This is build log: http://www.sudrap.org/paste/text/340960/plain

Thanks for answers.

NOTE: I provide all dependencies (bison, flex, gcc, g++, grep, makeinfo, GNU Make, libz.so) for RosBE.

ADDING: This is console output: Image
Turkish translator of ReactOS.

Colin Finck
Developer
Posts: 107
Joined: Thu Oct 13, 2005 1:14 pm
Location: Germany
Contact:

Re: RosBE can't Install on Pisi Linux

Post by Colin Finck » Tue Jul 22, 2014 11:45 am

Looks like you're missing the development files of your C library. They are usually in a package called "libc6-dev" or "glibc-dev".
Most Linux distributions install them as a dependency when you install gcc, so we don't do an extra check for these files at the moment. Maybe this should be done in the future :)

mrugiero
Posts: 482
Joined: Sun Feb 14, 2010 9:12 am

Re: RosBE can't Install on Pisi Linux

Post by mrugiero » Tue Jul 22, 2014 12:35 pm

Do as Colin says. Maybe there is a "build-essentials" metapackage that will pull everything you need for common compilations.

erkinalp
Posts: 824
Joined: Sat Dec 20, 2008 5:55 pm

Re: RosBE can't Install on Pisi Linux

Post by erkinalp » Tue Jul 22, 2014 1:27 pm

There is no "build-essentials" package on PİSİ. It is something Debian-esque.
Last edited by erkinalp on Tue Jul 22, 2014 7:41 pm, edited 1 time in total.
-uses Ubuntu+GNOME 3 GNU/Linux
-likes Free (as in freedom) and Open Source Detergents
-favors open source of Windows 10 under GPL2

eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

Re: RosBE can't Install on Pisi Linux

Post by eersoy93 » Tue Jul 22, 2014 6:18 pm

glibc-devel (PiSi package.) installed and attempted for installation. The results are:

build.log file content:

Code: Select all

gcc: error trying to exec 'as': execvp: No such file or directory
Console output:

Image

Thanks for answers.
Turkish translator of ReactOS.

erkinalp
Posts: 824
Joined: Sat Dec 20, 2008 5:55 pm

Re: RosBE can't Install on Pisi Linux

Post by erkinalp » Tue Jul 22, 2014 7:45 pm

Yes, the architecture parameter should not be -march=native, rather be -march=i586 -mtune=pentium4(for x86 builds), because the current value makes impossible to verify and reproduce builds.
-uses Ubuntu+GNOME 3 GNU/Linux
-likes Free (as in freedom) and Open Source Detergents
-favors open source of Windows 10 under GPL2

Heis Spiter
Posts: 183
Joined: Sun Sep 03, 2006 11:39 am
Location: Paris, France
Contact:

Re: RosBE can't Install on Pisi Linux

Post by Heis Spiter » Thu Jul 31, 2014 4:26 pm

You're missing the GNU assembler.
On Debian, it's provided by binutils package.
Pierre Schweitzer (aka Heis Spiter)
ReactOS kernel developer.
ReactOS systems administrator.

eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

Re: RosBE can't Install on Pisi Linux

Post by eersoy93 » Thu Jul 31, 2014 6:10 pm

binutils installed and the results:

Image

build.log: http://www.sudrap.org/paste/text/347643/plain

Thanks for replies.
Turkish translator of ReactOS.

Heis Spiter
Posts: 183
Joined: Sun Sep 03, 2006 11:39 am
Location: Paris, France
Contact:

Re: RosBE can't Install on Pisi Linux

Post by Heis Spiter » Thu Jul 31, 2014 9:56 pm

You're likely missing the 'linux-libc-dev' package (as for Debian/Ubuntu).
Pierre Schweitzer (aka Heis Spiter)
ReactOS kernel developer.
ReactOS systems administrator.

eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

Re: RosBE can't Install on Pisi Linux

Post by eersoy93 » Sun Aug 03, 2014 2:06 pm

I have installed kernel-headers package (PiSi package.), but the setup is failed. The build log is there: http://www.sudrap.org/paste/text/349834/plain

The screenshot is same of previous one.

Thanks for reply.
Turkish translator of ReactOS.

erkinalp
Posts: 824
Joined: Sat Dec 20, 2008 5:55 pm

Re: RosBE can't Install on Pisi Linux

Post by erkinalp » Sun Aug 03, 2014 4:12 pm

He says he installed glibc-devel, which corresponds to libc6-dev, and kernel-headers, which corresponds to *-headers-generic Debian package. linux-libc-dev depends on libc6-dev.
-uses Ubuntu+GNOME 3 GNU/Linux
-likes Free (as in freedom) and Open Source Detergents
-favors open source of Windows 10 under GPL2

eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

Re: RosBE can't Install on Pisi Linux

Post by eersoy93 » Sun Aug 03, 2014 5:41 pm

erkinalp wrote:He says he installed glibc-devel, which corresponds to libc6-dev, and kernel-headers, which corresponds to *-headers-generic Debian package. linux-libc-dev depends on libc6-dev.
Erkin, which PiSi package corresponds to linux-libc-dev Debian package?
Turkish translator of ReactOS.

eersoy93
Posts: 289
Joined: Mon Mar 19, 2012 11:24 pm
Location: Turkey
Contact:

Re: RosBE can't Install on Pisi Linux

Post by eersoy93 » Sat Nov 26, 2016 9:21 pm

The topic is old. See for the new one: viewtopic.php?f=9&t=16071
Turkish translator of ReactOS.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests